<template>
	<view class="pageCon">
		<image class="bg" :src="newsInfo.share_img" mode=""></image>
		<view class="imgbox">
			<image class="shareimg" :src="newsInfo.poster" mode="widthFix"></image>
		</view>
		<!-- <view class="fixBox">
			<u-button @click="clickHandle" throttleTime="2000" class="custom-style" text="提交"></u-button>
		</view> -->
	</view>
</template>

<script>
	export default {
		data() {
			return {
				newsInfo:{},
			}
		},
		onLoad(options) {
			 this.loadData(); 
		}, 
		methods: {
			loadData() {
				this.$api.request('user/getPoster').then(data => {
					if (data.code == 200) {
						this.newsInfo = data.data;
					} else {
						this.$api.toast(data.msg);
					}
				});
			},
		}
	}
</script>

<style lang="scss" scoped>
.pageCon{
	padding-bottom: 120rpx; 
	image{
		width: 100%;
	}
	.bg{
		position: fixed;
		top: 0;
		left: 0;
		width: 100vw;
		height: 100vh;
	}
	.custom-style {
		background : #0BB291;
		color: #fff;
		width: 690rpx;
		margin-top: 20rpx;
		border-radius: 45rpx;
	}
	.imgbox{
		position: fixed;
		width: 300rpx;
		bottom: 5%;
		left: 10%; 
		.shareimg{
			width: 100%;
		}
	}
}
</style>
